> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create company

> Create a new company. Creates an offline company that can later be onboarded.

**Notes:**
- Name is the only required field.
- Non-required fields and their defaults:
  - `description`: defaults to empty string
  - `city`: defaults to empty string
  - `sector`: defaults to "Other" if not provided or invalid
  - `fiscal_year_end`: defaults to "12/31"
  - `website`: defaults to empty string

You may update the company later using the `Update Company` endpoint. Reference this endpoint to understand what fields can be modified.

**Permissions:**
- User must be authenticated via OAuth.
- User must have ADMIN or EDITOR role.



## OpenAPI

````yaml post /companies/
openapi: 3.0.1
info:
  title: Standard Metrics API Documentation
  description: >-
    Welcome to Standard Metric's API docs!


    To use our API you will need to make an OAuth appliction (or use an existing
    one) in the developer settings tab on your settings page and then exchange
    your client id and secret for an access token (via the `/o/token/` endpoint.
    This token can then be sent in the `Authorization` header to authenticate
    your requests to our api. See below for an example.


    All endpoints are paginated and will return a maximum of 100 results per
    page. See the endpoints below and example responses for more details on
    pagination parameters. A maximum of 120 requests per minute can be made to
    our API.


    Authentication example (with python):

    ```>>> import base64

    >>> import base64

    >>> client_id = "YOUR_CLIENT_ID"

    >>> client_secret = "YOUR_CLIENT_SECRET"

    >>> credential = f"{client_id}:{client_secret}"

    >>> base64.b64encode(credential.encode("utf-8"))

    b'ENCODED_CREDENTIAL'


    You can now exchange this credential for an access token, eg:


    curl -X POST \
        -H "Authorization: Basic ENCODED_CREDENTIAL" \
        -H "Cache-Control: no-cache" \
        -H "Content-Type: application/x-www-form-urlencoded" \
        "https://api.standardmetrics.io/o/token/" \
        -d "grant_type=client_credentials"

    You will receive the following response:


    {
        "access_token": "YOUR_ACCESS_TOKEN",
        "expires_in": 36000,
        "token_type": "Bearer",
        "scope": "read write"
    }


    Make sure not to forget to prepend "Bearer " to your access token in the
    Authorization header while making requests.
  version: '1.0'
servers:
  - url: https://api.standardmetrics.io/v1
security:
  - Bearer: []
paths:
  /companies/:
    post:
      tags:
        - companies
      summary: Create company
      description: >-
        Create a new company. Creates an offline company that can later be
        onboarded.


        **Notes:**

        - Name is the only required field.

        - Non-required fields and their defaults:
          - `description`: defaults to empty string
          - `city`: defaults to empty string
          - `sector`: defaults to "Other" if not provided or invalid
          - `fiscal_year_end`: defaults to "12/31"
          - `website`: defaults to empty string

        You may update the company later using the `Update Company` endpoint.
        Reference this endpoint to understand what fields can be modified.


        **Permissions:**

        - User must be authenticated via OAuth.

        - User must have ADMIN or EDITOR role.
      operationId: companies_create
      requestBody:
        content:
          application/json:
            schema:
              required:
                - name
              type: object
              properties:
                name:
                  type: string
                  description: Name of the company
                description:
                  type: string
                  description: >-
                    Description of the company. Defaults to empty string if not
                    provided.
                city:
                  type: string
                  description: >-
                    City of the company. Defaults to empty string if not
                    provided.
                  example: San Francisco
                sector:
                  type: string
                  description: >-
                    Sector of the company. Defaults to 'Other' if not provided
                    or invalid.
                  enum:
                    - B2B Software
                    - Direct-to-consumer
                    - Consumer Internet/Mobile
                    - AR/VR
                    - Life Sciences
                    - Health Technology
                    - Hardware
                    - Edtech
                    - Media
                    - Fintech
                    - Govtech
                    - Crypto/blockchain
                    - Other
                    - Logistics
                    - Insurtech
                    - Software Infrastructure
                    - Security
                    - Artificial Intelligence
                    - AG-Tech
                    - Sustainability
                    - Gaming
                fiscal_year_end:
                  type: string
                  description: >-
                    Fiscal year end date in MM/DD format. Defaults to '12/31' if
                    not provided.
                  example: 12/31
                website:
                  type: string
                  description: >-
                    Website URL of the company. Defaults to empty string if not
                    provided.
                  example: https://www.example.com
              description: List of role IDs and actions
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                required:
                  - name
                type: object
                properties:
                  name:
                    type: string
                    description: Name of the company
                  description:
                    type: string
                    description: >-
                      Description of the company. Defaults to empty string if
                      not provided.
                  city:
                    type: string
                    description: >-
                      City of the company. Defaults to empty string if not
                      provided.
                    example: San Francisco
                  sector:
                    type: string
                    description: >-
                      Sector of the company. Defaults to 'Other' if not provided
                      or invalid.
                    enum:
                      - B2B Software
                      - Direct-to-consumer
                      - Consumer Internet/Mobile
                      - AR/VR
                      - Life Sciences
                      - Health Technology
                      - Hardware
                      - Edtech
                      - Media
                      - Fintech
                      - Govtech
                      - Crypto/blockchain
                      - Other
                      - Logistics
                      - Insurtech
                      - Software Infrastructure
                      - Security
                      - Artificial Intelligence
                      - AG-Tech
                      - Sustainability
                      - Gaming
                  fiscal_year_end:
                    type: string
                    description: >-
                      Fiscal year end date in MM/DD format. Defaults to '12/31'
                      if not provided.
                    example: 12/31
                  website:
                    type: string
                    description: >-
                      Website URL of the company. Defaults to empty string if
                      not provided.
                    example: https://www.example.com
                  slug:
                    type: string
                    description: Slug of the company
                description: List of role IDs and actions
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Your valid bearer token. All Auth tokens persist for all requests. Make
        sure to replace Client Credential `Basic` tokens with `Bearer` tokens
        after retrieving your bearer token. Go to the API Reference/Setup, User
        Guides/Initial Setup, or API Reference/Get API Access Token page to get
        your token.

````